#ifndef OR_arm_h
#define OR_arm_h
#include <inttypes.h>
class _OR_arm
{
  public:	
    void begin(); 
	void isr();
	void go(int s1,int s2,int s3,int s4,int s5);
	void sweep(int s1,int s2,int s3,int s4,int s5,int wt);
	int sense(char x);
  private:
	unsigned char _count; //counts each isr=12.8us
	static const byte _SERVOS=8;
	static const byte _EVENTS=8;
	unsigned char _servo_pos[_SERVOS]; //current pos and target for all servos
	unsigned char _servo_cnt[_EVENTS+1],_servo_out[_EVENTS],_tmp[_EVENTS]; //events
	char _latch,_event,_latchmask; //pin being latched
	volatile uint8_t* _latchport;
	volatile unsigned char _pos;
	unsigned char doping,ping,count;
};
#endif	