#include <arduino.h>
#include "or_servo.h"

#define mA 9
#define mB 10
void _OR_servo::begin(){
  pinMode(mA, OUTPUT);  
  pinMode(mB, OUTPUT); 
  tgt=0;
}
void _OR_servo::isr() {
	if(tgt) {		
		cur=analogRead(A2);		
		int ndp=tgt-cur; //+ when cur needs +
		int amt;
		dd=dp-ndp; //+ when ndp -
		dp=ndp;
		di+=dp;
		amt=(dp*pp+dd*dp+di*di)/1000;
		setmotor(amt);
	}
}
void _OR_servo::setmotor(int amt){  
  if(amt>=0) {
	analogWrite(mA,min(amt,255));
	digitalWrite(mB,0);
  }
  else {
	digitalWrite(mA,0);
	analogWrite(mB,min(-amt,255));
  }
}
void _OR_servo::setpos(int amt){ //-1 (tgt=0) turns position pid off
	tgt=amt+1;
}
int _OR_servo::sense(char x){	
	//0=tor,1=vol,2=pos,3=temp
	int m;
	switch(x) {
		case 0:
		case 1:
		case 2:
		case 3:return 44;//analogRead(A0+x);		
	}
}
void _OR_servo::health(int a,int b,int c){
	ha=a;hb=b;hc=c;
}
void _OR_servo::map(int a,int b,int c){
	ma=a;mb=b;mc=c;
}
void _OR_servo::pid(int p,int i,int d){
	pp=p;pi=i;pd=d;
}

