#ifndef VPmove_h
#define VPmove_h



class _VPMove {
   public:  
	_VPMove(int a,int b,int _movec,int _turnc);
	void init();
	void calibrate(int _m,int _tr);
	void set_cruise(int _x);
	void correct(int _zl,int _zr,int _gl,int _gr,int _ngl,int _ngr);
	void setspeed(int tl,int tr,int pp);
	void set1(int al,int ar,int msec);	
	void mm(int _mm,int _turn);
	void deg(int _deg,int _dir);
	void set(int _left,int _right,bool noenc);
	void setbrake(int _left,int _right);
	void finish(int _msec);	
	void griptime(int shoulder,int hand,int ms);
	void grip(int shoulder,int hand);	
	int pulses(int side);
	int speed(int side);
  private:
	bool setp(int p,unsigned int hi,unsigned int low);	
    
    int motor_cruise,zerol,zeror,gainl,gainr,ngainl,ngainr,coast,maxL,maxR,startL,startR;
    int mmovec,mturnc,movec,turnc;
	byte pinl,pinr,pinld,pinrd;
};
#endif
