#ifndef OR_bug_h
#define OR_bug_h
#include <inttypes.h>
class _OR_bug
{
  public:	
    void begin(); 
	void isr();
	void servo(int which,int amt);
	void target(int which,int how,int amt);
	void achieve(int wt);	
	int sense(char x);
  private:
	void doout(unsigned char o);
	unsigned char doping,count,ping;
	unsigned char _count; //counts each isr=12.8us
	static const byte _SERVOS=24;
	static const byte _EVENTS=8;
	unsigned char _servo_pos[_SERVOS],_servo_targ[_SERVOS]; //current pos and target for all servos
	unsigned char _servo_cnt[_EVENTS+1],_servo_out[_EVENTS],_tmp[_EVENTS]; //events
	char _latch,_event,_latchmask; //pin being latched
	volatile uint8_t* _latchport;	
};
#endif	